Subject: Re: bug#71525: 30.0.50; Spin in delete-region/interval_deletion_adjustment Spin in delete-region/interval_deletion_adjustment)

From: Steven Allen <[email-masked]>
Date: Thu, 13 Jun 2024 12:42:02 -0700

Jim Porter <[email-masked]> writes:
> It sounds like we've found the culprit, but I am tracking this and can
> help fix/update Eshell if that's the way we decide to go. (I haven't
> read through all of bug#66020 yet so I don't fully understand all of the
> changes there, and can't yet say where the fix should be.)

>From what I can tell, it's not Eshell, just triggered by Eshell. It
appears that Emacs locks up _inside_ the C code and never leaves (not
even `C-g` works).

I believe I reproduced this once with `jinx` calling
`next-single-char-property-change` in a non-eshell buffer. At the very
least, it locked up in the same way (right after I tried to delete a
buffer). But I'm not sure how that would have interacted with the
process output code.